/**
 * This class simulates a Person with Id and Name.
 * 
 * @author Galit Shriki & Ilan Perets
 * @version 10.6.2011
 */
public class Person
{
	// attributes
	protected int id;		// Person identification number;
	protected String name;	// Person full name
	
	// constructors
	public Person(int id, String name)
	{
		this.id = id;
		this.name = new String(name);
	}
	
	// methods	
	public void setName(String newName)
	{
		name = new String(newName);
	}
	
	public String getName()
	{
		return(new String(name));
	}
	
	public void setId(int newId)
	{
		id = newId;
	}
	
	public int getId()
	{
		return(id);
	}
	
	public void printDetails()
	{
		System.out.print("Person details:\n id="+id+", name="+name+"\n");
	}
}