/**
 * This class simulates a Organizer (Rakaz), which is a Teacher.
 * 
 * @author Galit Shriki & Ilan Perets
 * @version 10.6.2011
 */
public class Organizer extends Teacher
{
  	// attributes
  	private int gmul;
  	
  	  
  	// constructors
  	public Organizer(int id, String name, int hekefMisra, int gmul)
  	{
    	super(id,name,hekefMisra);
    	this.gmul = gmul;
  	}
  
  	public Organizer(Teacher teacher,int gmul) 
	{
		super(teacher.id,teacher.name,teacher.hekefMisra);
		this.gmul = gmul;
	}   
	
	public Organizer(Organizer rakaz) //copy constructor
	{
		super(rakaz.id,rakaz.name,rakaz.hekefMisra);
		this.gmul = rakaz.gmul;
	}   
	
	public void setGmul(int newGmul)
	{
		gmul = newGmul;
	}
  
  	public int getGmul()
  	{
  		return(gmul);
  	}
  	
  	public int hekefMisraAsPrecent()
  	{
  		return((int)(((hekefMisra+gmul)/(double)MISRA)*100));
  	}
 
  	public void printDetails()
  	{
  		System.out.println("Organizer details:\n id="+id+", name="+name+
  									", misra=" + hekefMisra+", gmul="+gmul+".");		
  	}
}