/**
 * This class simulates a Teacher, which is a Person.
 * 
 * @author Ilan Perets * @author Galit Shriki & Ilan Perets
 * @version 10.6.2011
 */
public class Teacher extends Person
{
  	// attributes
  	public static final int MISRA = 24;  // maximal hours in Misra  
  	protected int hekefMisra;    	// Hekef Misra in hours.
  	
  	  
  	// constructors
  	public Teacher(int id, String name, int hekef)
  	{
    	super(id,name);
    	this.hekefMisra = hekef;
  	}
  
  	public Teacher(Teacher teacher)
  	{
    	super(teacher.id,teacher.name);
    	this.hekefMisra = teacher.hekefMisra;
  	}
  	  
  	// methods
  	public void setHekefMisra(int newHekefMisra)
  	{
  		if(newHekefMisra >= 0 && newHekefMisra<=2*MISRA)
  			hekefMisra = newHekefMisra;
  	}

  	public int getHekefMisra()
  	{
  		return(hekefMisra);
  	}
	 
  	public void printDetails()
  	{	
  		System.out.print("Teacher details:\n id="+id+", name="+name+
  									     		", misra=" + hekefMisra +".\n");
  	}
}